/*
 *      callbacks.h
 *      
 *      Copyright 2008 Tuxgasy <tuxgasy@tuxfamily.org>
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

#ifndef DEF_CALLBACKS
#define DEF_CALLBACKS

#include "main.h"

/*** File menu ***/
void OnNew(GtkWidget *pWidget, glda *pGlda);

void OnOpen(GtkWidget *pWidget, glda *pGlda);

void OnOpenRecent(GtkWidget *pWidget, glda *pGlda);

void OnSave(GtkWidget *pWidget, glda *pGlda);

void OnSaveAs(GtkWidget *pWidget, glda *pGlda);

void OnPrint(GtkWidget *pWidget, glda *pGlda);

void OnDestroy(GtkWidget *pWidget, glda *pGlda);

gboolean OnQuit(GtkWidget *pWindow, GdkEvent *pEvent, glda *pGlda);

void OnSelectSubCategory(GtkTreeSelection *select, glda *pGlda);

void OnDoubleClickProduct(GtkTreeView *pTreeView, GtkTreePath *path, GtkTreeViewColumn *column, glda *pGlda);

void OnDoubleClickProductAdded(GtkTreeView *pTreeView, GtkTreePath *path, GtkTreeViewColumn *column, glda *pGlda);

/*** Edit menu ***/
void OnAdd(GtkWidget *pWidget, glda *pGlda);

void OnEditQuantity(GtkCellRendererText *renderer, gchar *path, gchar *newQuantity, glda *pGlda);

void OnRemove(GtkWidget *pWidget, glda *pGlda);

void OnPreferences(GtkWidget *pWidget, glda *pGlda);

/*** Help menu ***/
void OnAbout(GtkWidget *pWidget, glda *pGlda);

#endif
