/*
 *      print.h
 *      
 *      Copyright 2008 Tuxgasy <tuxgasy@tuxfamily.org>
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

#ifndef DEF_PRINT
#define DEF_PRINT

#define HEADER_HEIGHT 20.0
#define HEADER_GAP 8.5

typedef struct Print Print;

struct Print{
  glda *pGlda;
  
  GtkTreeIter Iter;
  
  gint number_products_per_page;
  gint number_products;
  gint number_products_differents;
  gint total_pages;
};

/********************************** Interface **********************************/

void create_pPrint(glda *pGlda);

/********************************** Callbacks **********************************/

void begin_print(GtkPrintOperation *operation, GtkPrintContext *context, Print *pPrintData);

void draw_page(GtkPrintOperation *operation, GtkPrintContext *context, gint page_nr, Print *pPrintData);

void end_print(GtkPrintOperation *operation, GtkPrintContext *context, Print *pPrintData);

#endif
